Bug 1236294 - Unretirement-Review Request: garmintools - Tools for Garmin GPS-devices
Summary: Unretirement-Review Request: garmintools - Tools for Garmin GPS-devices
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1236300
TreeView+ depends on / blocked
 
Reported: 2015-06-27 12:28 UTC by Björn 'besser82' Esser
Modified: 2015-07-20 19:48 UTC (History)
2 users (show)

Fixed In Version: GarminPlugin-0.3.27-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-14 15:29:41 UTC
lupinix.fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2015-06-27 12:28:41 UTC
Description:

  This software provides Linux users with the ability to communicate
  with the Garmin Forerunner 305 via the USB interface.  It
  implements all of the documented Garmin protocols as of Rev C
  (May 19, 2006) over the USB physical link.

  This means that if you have a Garmin with a USB connection to a PC,
  you ought to be able to use this software to communicate with it.


Koji Builds:

  Frh:  http://koji.fedoraproject.org/koji/taskinfo?taskID=10228879


Issues:

  fedora-review shows no obvious issues.  AFAIK there might be some false
  positives from rpmlint.


FAS-User:

  besser82


Urls:

  Spec URL: https://besser82.fedorapeople.org/review/garmintools.spec
  SRPM URL: https://besser82.fedorapeople.org/review/garmintools-0.10-5.1.fc23.src.rpm


Additional Information:

  This is an unretirement-review.  garmintools has been orphaned and
  retired a few years ago.


Thanks for review in advance!

Comment 1 Christian Dersch 2015-06-27 17:31:32 UTC
Taken!

Comment 2 Christian Dersch 2015-06-27 18:31:15 UTC
Looks nice, APPROVED!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/acls/name/garmintools
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names

===> Not an issue, this is package will be unretired after this review 


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/review/1236294-garmintools/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: garmintools-0.10-5.1.fc23.x86_64.rpm
          garmintools-devel-0.10-5.1.fc23.x86_64.rpm
          garmintools-0.10-5.1.fc23.src.rpm
garmintools.x86_64: W: shared-lib-calls-exit /usr/lib64/libgarmintools.so.4.2.0 exit@GLIBC_2.2.5
garmintools.x86_64: E: incorrect-fsf-address /usr/share/licenses/garmintools/COPYING
garmintools.x86_64: W: no-manual-page-for-binary garmin_gchart
garmintools.x86_64: W: no-manual-page-for-binary fore2gmn
garmintools-devel.x86_64: W: spelling-error %description -l en_US libgarmintools 
garmintools-devel.x86_64: W: only-non-binary-in-usr-lib
garmintools-devel.x86_64: E: incorrect-fsf-address /usr/include/garmin.h
3 packages and 0 specfiles checked; 2 errors, 5 warnings.

====> Please inform upstream about wrong FSF adress (is upstream alive? latest version from 2009)


Rpmlint (debuginfo)
-------------------
Checking: garmintools-debuginfo-0.10-5.1.fc23.x86_64.rpm
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/packet_id.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/garmin_gpx.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/byte_util.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/usb_comm.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/garmin_save_runs.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/print.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/garmin.h
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/protocol.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/garmin_get_info.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/run.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/symbol_name.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/garmin_dump.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/pack.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/unpack.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/datatype.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/garmin_gmap.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/command.c
1 packages and 0 specfiles checked; 17 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
garmintools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgarmintools.so.4.2.0 usb_busses
garmintools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgarmintools.so.4.2.0 usb_interrupt_read
garmintools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgarmintools.so.4.2.0 usb_find_busses
garmintools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgarmintools.so.4.2.0 usb_release_interface
garmintools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgarmintools.so.4.2.0 usb_find_devices
garmintools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgarmintools.so.4.2.0 usb_set_configuration
garmintools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgarmintools.so.4.2.0 usb_close
garmintools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgarmintools.so.4.2.0 usb_strerror
garmintools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgarmintools.so.4.2.0 usb_bulk_write
garmintools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgarmintools.so.4.2.0 usb_bulk_read
garmintools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgarmintools.so.4.2.0 usb_init
garmintools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgarmintools.so.4.2.0 usb_open
garmintools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libgarmintools.so.4.2.0 usb_claim_interface
garmintools.x86_64: W: shared-lib-calls-exit /usr/lib64/libgarmintools.so.4.2.0 exit@GLIBC_2.2.5
garmintools.x86_64: E: incorrect-fsf-address /usr/share/licenses/garmintools/COPYING
garmintools.x86_64: W: no-manual-page-for-binary garmin_gchart
garmintools.x86_64: W: no-manual-page-for-binary fore2gmn
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/packet_id.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/garmin_gpx.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/byte_util.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/usb_comm.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/garmin_save_runs.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/print.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/garmin.h
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/protocol.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/garmin_get_info.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/run.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/symbol_name.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/garmin_dump.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/pack.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/unpack.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/datatype.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/garmin_gmap.c
garmintools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/garmintools-0.10/src/command.c
garmintools-devel.x86_64: W: spelling-error %description -l en_US libgarmintools 
garmintools-devel.x86_64: W: only-non-binary-in-usr-lib
garmintools-devel.x86_64: E: incorrect-fsf-address /usr/include/garmin.h
3 packages and 0 specfiles checked; 19 errors, 18 warnings.



Requires
--------
garmintools (rpmlib, GLIBC filtered):
    /bin/sh
    /etc/modprobe.d
    /etc/udev/rules.d
    /sbin/ldconfig
    /usr/bin/perl
    config(garmintools)
    libc.so.6()(64bit)
    libgarmintools.so.4()(64bit)
    libm.so.6()(64bit)
    libusb-0.1.so.4()(64bit)
    perl(Data::Dumper)
    perl(Date::Format)
    perl(Date::Parse)
    perl(POSIX)
    perl(Time::HiRes)
    perl(XML::Parser)
    perl(strict)
    rtld(GNU_HASH)

garmintools-devel (rpmlib, GLIBC filtered):
    garmintools(x86-64)
    libgarmintools.so.4()(64bit)
    libusb-devel(x86-64)



Provides
--------
garmintools:
    config(garmintools)
    garmintools
    garmintools(x86-64)
    libgarmintools.so.4()(64bit)

garmintools-devel:
    garmintools-devel
    garmintools-devel(x86-64)



Source checksums
----------------
https://garmintools.googlecode.com/files/garmintools-0.10.tar.gz :
  CHECKSUM(SHA256) this package     : ffd50b7f963fa9b8ded3223c4786b07906c887ed900de64581a24ff201444cee
  CHECKSUM(SHA256) upstream package : ffd50b7f963fa9b8ded3223c4786b07906c887ed900de64581a24ff201444cee


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1236294
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Björn 'besser82' Esser 2015-06-28 07:17:29 UTC
Many thanks for the review, Christian!

***

Package Change Request
======================
Package Name: garmintools
New Branches: el5 el6 epel7 f21 f22
Owners: besser82
InitialCC:

Comment 4 Alexey Brodkin 2015-06-29 10:26:08 UTC
There're at least 2 patches that you may want to consider to apply on top of the last release of garmintools.

 [1] This one is a must really - it fixes crash of "garmin_save_runs"
See good explanation of the problem here - https://code.google.com/p/garmintools/issues/detail?id=35

You'll find a patch in attachment to that "issue". If you cannot find me I may attach it to this bug.


 [2] This second patch adds ability to extract laps, hr and cad (heart rate and cadence) into .gpx file from original .gmn file.

Even though this is not a hard requirement for GarminPlugin (if I'm not mistaken it will correctly upload all mentioned extra data items to say Garmin Connect) but it's extremely useful in case GarminPlugin no longer works and user wants to upload data manually. Generated output .gpx file is accepted by both Garmin Connect (even switched to its "New" interface that discards GarminPlugin) and Endomondo.

See discussion thread with attached patch here - https://code.google.com/p/garmintools/issues/detail?id=15

Let me know if you need any help with testing etc.

Comment 5 Gwyn Ciesla 2015-06-29 16:09:07 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-06-30 07:23:18 UTC
garmintools-0.10-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/garmintools-0.10-7.el5

Comment 7 Fedora Update System 2015-06-30 07:28:03 UTC
GarminPlugin-0.3.27-2.el7,garmintools-0.10-7.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/GarminPlugin-0.3.27-2.el7,garmintools-0.10-7.el7

Comment 8 Fedora Update System 2015-06-30 07:28:12 UTC
GarminPlugin-0.3.27-2.el6,garmintools-0.10-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/GarminPlugin-0.3.27-2.el6,garmintools-0.10-7.el6

Comment 9 Fedora Update System 2015-06-30 16:52:07 UTC
garmintools-0.10-7.fc21,GarminPlugin-0.3.27-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/garmintools-0.10-7.fc21,GarminPlugin-0.3.27-2.fc21

Comment 10 Fedora Update System 2015-06-30 16:52:15 UTC
garmintools-0.10-7.fc22,GarminPlugin-0.3.27-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/garmintools-0.10-7.fc22,GarminPlugin-0.3.27-2.fc22

Comment 11 Fedora Update System 2015-06-30 22:38:30 UTC
GarminPlugin-0.3.27-2.el6, garmintools-0.10-7.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 12 Fedora Update System 2015-07-14 15:29:41 UTC
garmintools-0.10-7.fc21, GarminPlugin-0.3.27-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2015-07-14 15:40:07 UTC
garmintools-0.10-7.fc22, GarminPlugin-0.3.27-2.fc22 has been pushed to the Fedora 22 stable repository.

Comment 14 Fedora Update System 2015-07-20 19:47:04 UTC
garmintools-0.10-7.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 15 Fedora Update System 2015-07-20 19:48:14 UTC
GarminPlugin-0.3.27-2.el6, garmintools-0.10-7.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Fedora Update System 2015-07-20 19:48:41 UTC
GarminPlugin-0.3.27-2.el7, garmintools-0.10-7.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.